GET /ips
GETips
Retrieve all IP addresses currently monitored for blocklist and reputation status
Query Parameters
offset string
Number of items to skip before starting to return results
limit string
Maximum number of items to return per request
sort string
Example: -ip (desc) or ip (asc)
profile_id string
Filter results by profile ID
ip string
Filter results by an IP substring
rdns string
Filter results by a reverse DNS (rDNS) hostname substring
rbl_hosts string
Filter results by RBL lookup host (rbl_result.lookup_host). Multiple values can be provided as a comma-separated list. Example: ynip.rothen.com,bl.spamcop.net. Available host names can be retrieved from GET /api/v1.0/epc/rbl_dictionary?type=ips
netmask string
Filter results by netmask
blacklisted boolean
Filter results to include only IPs that are currently blacklisted
wrong_rdns boolean
Filter results to include only IPs with an incorrect or missing reverse DNS (rDNS) record
Returns
- dataarray
- idstringUnique identifier of the IP entity
- ipstringThe monitored IP address
- dns_lookup_resultarrayResults of forward and reverse DNS lookups for this IP
- addressesarrayList of forward DNS resolved addresses
- rDNSstringReverse DNS hostname for this IP
- addressesarray
- rbl_resultarrayList of RBL lookup results for this IP
- lookup_hoststringRBL hostname on which this IP is listed
- lookup_hoststring
- statusstringCurrent processing status of this IP
- blacklistedbooleanIndicates whether this IP is currently listed on at least one RBL
- wrong_rdnsbooleanIndicates whether the reverse DNS record for this IP is missing or does not resolve
- updated_atstringTimestamp when the IP data was last refreshed
- idstring
- metaobjectPagination metadata for list responses
- countintegerTotal number of items available
- offsetintegerNumber of items skipped
- limitintegerMaximum number of items returned per request
- countinteger
400 Bad Request
Bad Request
401 Unauthorized
Unauthorized
403 Forbidden
Forbidden
500 Internal Server Error
Internal server error